module ApplicationHelper
  # Railscast 30
  def title(page_title)
    content_for(:title) { page_title }
  end
  
  def header_image(image)
    content_for(:header_image) { image }
  end
  
  def gravatar_url(email)
    hash = Digest::MD5.hexdigest(email)
    "http://www.gravatar.com/avatar/#{hash}"
  end
end
