class Monster < ActiveRecord::Base
  belongs_to :type
  
  has_many :tamed_monsters
  has_many :users, :through => :tamed_monsters

  #attr_accessible :cost, :name, :description

  searchable do
    text :name, :boost => 5
    text :description
    integer :cost
  end
=begin 
  def self.search(search, attribute)
    if search
      if attribute == 'cost'
        where('cost LIKE ?', search)
      else
        where('name LIKE ?', "%#{search}%")
      end
    else
      scoped
    end
  end
=end  
  def to_param
    "#{id}-#{name.parameterize}"
  end
  
  def get_image(type = "front")
    "/monster_imgs/#{self.name}_#{type}.gif"
  end
  
  def get_images
    {:front => "/monster_imgs/#{self.name}_front.gif", :back => "/monster_imgs/#{self.name}_back.gif"}
  end
  
  def get_image_size(size = 92)
    {:width => size, :height => size}
  end
  
  def can_afford(user)
    if user.credits >= self.cost
      true
    else
      false
    end
  end
  
  def starter
    if(self.id == 1 || self.id == 2 || self.id == 3)
      true
    else
      false
    end
  end
end
