class CreateTamedMonsters < ActiveRecord::Migration
  def change
    create_table :tamed_monsters do |t|
      t.references :user
      t.references :monster
      t.string :name
      t.integer :experience
      t.integer :current_hp
      t.integer :team_member
      t.references :skill_1
      t.references :skill_2
      t.references :skill_3
      t.references :skill_4
      t.integer :ev_hp
      t.integer :ev_attack
      t.integer :ev_defense
      t.integer :ev_special_attack
      t.integer :ev_special_defense
      t.integer :ev_speed

      t.timestamps
    end
    add_index :tamed_monsters, :user_id
    add_index :tamed_monsters, :monster_id
    add_index :tamed_monsters, :skill_1_id
    add_index :tamed_monsters, :skill_2_id
    add_index :tamed_monsters, :skill_3_id
    add_index :tamed_monsters, :skill_4_id
  end
end
