class CreateBattles < ActiveRecord::Migration
  def change
    create_table :battles do |t|
      t.references :starter
      t.references :opponent
      t.references :starter_team_member
      t.references :opponent_team_member
      t.references :winner
      t.string :status

      t.timestamps
    end
    add_index :battles, :starter_id
    add_index :battles, :opponent_id
    add_index :battles, :starter_team_member_id
    add_index :battles, :opponent_team_member_id
    add_index :battles, :winner_id
  end
end
