class CreateBattleTurns < ActiveRecord::Migration
  def change
    create_table :battle_turns do |t|
      t.references :battle
      t.references :starter_skill
      t.references :opponent_skill
      t.integer :starter_damage
      t.integer :opponent_damage
      t.string :outcome

      t.timestamps
    end
    add_index :battle_turns, :battle_id
    add_index :battle_turns, :starter_skill_id
    add_index :battle_turns, :opponent_skill_id
  end
end
