//
//  MonsterViewController.h
//  MonsterBattle
//
//  Created by Joshua Button on 11/30/11.
//  Copyright (c) 2011 CSU Chico. All rights reserved.
//

#import <UIKit/UIKit.h>

@class AsyncImageView, MonsterBattle, Monster;

@interface MonsterViewController : UIViewController
{
    MonsterBattle   *model;
    
    NSNumber        *identifier;
    Monster         *monster;

    AsyncImageView  *frontImage;
    UILabel         *name;
    UILabel         *user;
    UILabel         *species;
    UILabel         *skillOne;
    UILabel         *skillTwo;
    UILabel         *skillThree;
    UILabel         *skillFour;
}
@property(nonatomic, strong) MonsterBattle *model;
@property(nonatomic, strong) NSNumber *identifier;
@property(nonatomic, strong) Monster  *monster;
@property(nonatomic, strong) IBOutlet AsyncImageView *frontImageView;
@property(nonatomic, strong) IBOutlet UILabel *name;
@property(nonatomic, strong) IBOutlet UILabel *user;
@property(nonatomic, strong) IBOutlet UILabel *species;
@property(nonatomic, strong) IBOutlet UILabel *skillOne;
@property(nonatomic, strong) IBOutlet UILabel *skillTwo;
@property(nonatomic, strong) IBOutlet UILabel *skillThree;
@property(nonatomic, strong) IBOutlet UILabel *skillFour;
- (void)reloadData;
@end
