//
//  Species.h
//  MonsterBattle
//
//  Created by Joshua Button on 11/26/11.
//  Copyright (c) 2011 CSU Chico. All rights reserved.
//

#import <Foundation/Foundation.h>

@class AsyncImageView;

@interface Species : NSObject
{
    NSNumber *identifier;
    NSString *name;
    NSString *description;
    //Type?
    NSNumber *hp;
    NSNumber *attack;
    NSNumber *defense;
    NSNumber *specialAttack;
    NSNumber *specialDefense;
    NSNumber *speed;
    NSNumber *cost;
    NSString *frontImageViewPath;
    NSString *backImageViewPath;
}
@property(nonatomic, strong) NSNumber *identifier;
@property(nonatomic, strong) NSString *name;
@property(nonatomic, strong) NSString *description;
@property(nonatomic, strong) NSNumber *hp;
@property(nonatomic, strong) NSNumber *attack;
@property(nonatomic, strong) NSNumber *defense;
@property(nonatomic, strong) NSNumber *specialAttack;
@property(nonatomic, strong) NSNumber *specialDefense;
@property(nonatomic, strong) NSNumber *speed;
@property(nonatomic, strong) NSNumber *cost;
@property(nonatomic, strong) NSString *frontImageViewPath;
@property(nonatomic, strong) NSString *backImageViewPath;
- (id)initWithId:(NSNumber *)ident;
@end
