//
//  SpeciesViewController.h
//  MonsterBattle
//
//  Created by Joshua Button on 11/30/11.
//  Copyright (c) 2011 CSU Chico. All rights reserved.
//

#import <UIKit/UIKit.h>

@class AsyncImageView, Species;

@interface SpeciesViewController : UIViewController
{
    NSNumber        *identifier;
    Species         *species;
    
    AsyncImageView  *frontImage;
    UILabel         *name;
    UILabel         *cost;
    UITextView      *description;
}
@property(nonatomic, strong) NSNumber *identifier;
@property(nonatomic, strong) Species *species;
@property(nonatomic, strong) IBOutlet AsyncImageView *frontImageView;
@property(nonatomic, strong) IBOutlet UILabel *name;
@property(nonatomic, strong) IBOutlet UILabel *cost;
@property(nonatomic, strong) IBOutlet UITextView *description;
- (void)reloadData;
@end
