//
//  User.h
//  MonsterBattle
//
//  Created by Joshua Button on 11/26/11.
//  Copyright (c) 2011 CSU Chico. All rights reserved.
//

#import <Foundation/Foundation.h>
/*
 credits":899,"email":"ash@pokemon.com","experience":1,"first_name":"Ash","gravatar":"74499568463539ad08e059423c0b0241","id":1,"last_name":"Ketchum","nickname":"AKetchum","current_team":[{"created_at":"2011-11-23T14:55:34Z","current_hp":31,"ev_attack":0,"ev_defense":0,"ev_hp":0,"ev_special_attack":0,"ev_special_defense":0,"ev_speed":0,"experience":65,"id":4,"monster_id":4,"name":"Snorlax","skill_1_id":null,"skill_2_id":null,"skill_3_id":null,"skill_4_id":null,"team_member":1,"updated_at":"2011-11-23T14:56:05Z","user_id":1},{"created_at":"2011-11-23T14:53:19Z","current_hp":17,"ev_attack":0,"ev_defense":0,"ev_hp":0,"ev_special_attack":0,"ev_special_defense":0,"ev_speed":0,"experience":65,"id":3,"monster_id":5,"name":"Magikarp","skill_1_id":null,"skill_2_id":null,"skill_3_id":null,"skill_4_id":null,"team_member":2,"updated_at":"2011-11-23T14:55:51Z","user_id":1},{"created_at":"2011-11-23T11:58:46Z","current_hp":19,"ev_attack":0,"ev_defense":0,"ev_hp":0,"ev_special_attack":0,"ev_special_defense":0,"ev_speed":0,"experience":65,"id":1,"monster_id":1,"name":"Ash's Bulbasaur","skill_1_id":2,"skill_2_id":null,"skill_3_id":null,"skill_4_id":null,"team_member":3,"updated_at":"2011-11-23T14:53:57Z","user_id":1}],"level":1,"exp_to_next_level":1,"tamed_monsters":[{"id":1,"monster_id":1,"name":"Ash's Bulbasaur","level":5},{"id":3,"monster_id":5,"name":"Magikarp","level":5},{"id":4,"monster_id":4,"name":"Snorlax","level":5}]}
 */

@interface User : NSObject
{
    NSNumber *identifier;
    NSString *email;
    NSString *nickname;
    NSString *firstName;
    NSString *lastName;
    //current_team?
    NSNumber *level;
    NSNumber *expToNextLevel;
    NSString *gravatarHash;
}
@property(nonatomic, strong) NSNumber *identifier;
@property(nonatomic, strong) NSString *email;
@property(nonatomic, strong) NSString *nickname;
@property(nonatomic, strong) NSString *firstName;
@property(nonatomic, strong) NSString *lastName;
@property(nonatomic, strong) NSNumber *level;
@property(nonatomic, strong) NSNumber *expToNextLevel;
@property(nonatomic, strong) NSString *gravatarHash;
- (id)initWithId:(NSNumber *)ident;
- (void)downloadWithId:(NSNumber *)ident;
@end
