require 'digest/md5'
class ApplicationController < ActionController::Base
  protect_from_forgery
  
  helper_method :humanize_class, :searchable
  
  def gravatar_hash(email)
    Digest::MD5.hexdigest(email)
  end
  
  def searchable
    @searchable = true
  end
  
  def humanize_class(class_name)
    if(class_name == "TamedMonster")
      class_name = "Monster"
    elsif(class_name == "Monster")
      class_name = "Species"
    end
    class_name
  end
end
