class Skill < ActiveRecord::Base
  belongs_to :type
  has_many :tamed_monster_skills_1, :class_name => 'TamedMonster', :foreign_key => 'skill_1_id'
  has_many :tamed_monster_skills_2, :class_name => 'TamedMonster', :foreign_key => 'skill_2_id'
  has_many :tamed_monster_skills_3, :class_name => 'TamedMonster', :foreign_key => 'skill_3_id'
  has_many :tamed_monster_skills_4, :class_name => 'TamedMonster', :foreign_key => 'skill_4_id'
  
  def self.switch
    Skill.find(1)
  end
  
  def tamed_monster_skills
    tamed_monster_skills_1 + tamed_monster_skills_2 + tamed_monster_skills_3 + tamed_monster_skills_4
  end
end
