class CreateSkills < ActiveRecord::Migration
  def change
    create_table :skills do |t|
      t.string :name
      t.text :description
      t.references :type
      t.integer :base_effect
      t.boolean :special
      t.boolean :hidden

      t.timestamps
    end
    add_index :skills, :type_id
  end
end
