//
//  CreatureTableViewCell.m
//  MonsterBattle
//
//  Created by Joshua Button on 11/20/11.
//  Copyright (c) 2011 CSU Chico. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>
#import "CreatureTableViewCell.h"

@implementation CreatureTableViewCell
@synthesize titleLabel, subtitleLabel, creatureImageView;

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // Initialization code
    }
    return self;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated
{
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
    
    UIColor *myGreen = [UIColor colorWithRed:0.2274 green:0.6941 blue:0.2274 alpha:1];
    UIColor *myLightGreen = [UIColor colorWithRed:0.3 green:0.85 blue:0.3 alpha:1];
    UIView *selectedView = [[[UIView alloc] initWithFrame:self.frame] autorelease];
    CAGradientLayer *gradient = [CAGradientLayer layer];
    gradient.frame = selectedView.bounds;
    gradient.colors = [NSArray arrayWithObjects:(id)[myGreen CGColor], (id)[myLightGreen CGColor], (id)[myGreen CGColor], nil];
    [selectedView.layer insertSublayer:gradient atIndex:0];
    
    self.selectedBackgroundView = selectedView;
}

@end
