//
//  Monster.h
//  MonsterBattle
//
//  Created by Joshua Button on 11/26/11.
//  Copyright (c) 2011 CSU Chico. All rights reserved.
//

#import <Foundation/Foundation.h>

@class Species;

@interface Monster : NSObject
{
    NSNumber *identifier;
    NSString *name;
    NSNumber *currentHp;
    NSNumber *hp;
    NSNumber *experience;
    Species  *species;
    NSNumber *userId;
// Skills controller?
    NSDictionary *skillOne;
    NSDictionary *skillTwo;
    NSDictionary *skillThree;
    NSDictionary *skillFour;
}
@property(nonatomic, strong) NSNumber *identifier;
@property(nonatomic, strong) NSString *name;
@property(nonatomic, strong) NSNumber *currentHp;
@property(nonatomic, strong) NSNumber *hp;
@property(nonatomic, strong) NSNumber *experience;
@property(nonatomic, strong) Species  *species;
@property(nonatomic, strong) NSNumber *userId;
@property(nonatomic, strong) NSDictionary *skillOne;
@property(nonatomic, strong) NSDictionary *skillTwo;
@property(nonatomic, strong) NSDictionary *skillThree;
@property(nonatomic, strong) NSDictionary *skillFour;
- (id)initWithId:(NSNumber *)ident;
- (void)speciesDownloaded:(NSNotification *)notification;
- (void)refresh;
@end
