//
//  ProfileViewController.h
//  MonsterBattle
//
//  Created by Joshua Button on 11/20/11.
//  Copyright (c) 2011 CSU Chico. All rights reserved.
//

#import <UIKit/UIKit.h>

@class MonsterBattle, AsyncImageView;

@interface ProfileViewController : UIViewController
{
    MonsterBattle     *model;
    NSString          *user;// may need to be a dictionary for reusing this view
    
    UILabel           *usernameLabel;
    UILabel           *levelLabel;
    UILabel           *creditsLabel;
    AsyncImageView    *asyncImageView;
    UIProgressView    *experienceBar;
    UILabel           *experienceLabel;
}
@property(nonatomic, strong) MonsterBattle *model;
@property(nonatomic, strong) NSString *user;
@property(nonatomic, strong) IBOutlet UILabel *usernameLabel;
@property(nonatomic, strong) IBOutlet UILabel *levelLabel;
@property(nonatomic, strong) IBOutlet UILabel *creditsLabel;
@property(nonatomic, strong) IBOutlet AsyncImageView *asyncImageView;
@property(nonatomic, strong) IBOutlet UIProgressView *experienceBar;
@property(nonatomic, strong) IBOutlet UILabel *experienceLabel;
@end
