//
//  SearchViewController.h
//  MonsterBattle
//
//  Created by Joshua Button on 11/29/11.
//  Copyright (c) 2011 CSU Chico. All rights reserved.
//

#import <UIKit/UIKit.h>

@class MonsterBattle;

@interface SearchViewController : UITableViewController <UISearchBarDelegate>
{
    MonsterBattle     *model;
    UISearchBar       *searchBar;
    NSArray           *searchResults;
    NSUInteger        pageNumber;
    NSUInteger        numberOfResults;
}
@property(nonatomic, strong) MonsterBattle *model;
@property(nonatomic, strong) IBOutlet UISearchBar *searchBar;
@property(nonatomic, strong) NSArray *searchResults;
@property(nonatomic)         NSUInteger pageNumber;
@property(nonatomic)         NSUInteger numberOfResults;
- (void)reloadTable:(NSNotification *)notification;
- (void)search;
@end
